Create Company

Submit a Business Account application on the storefront to create a Company account in the Pending status. This is an anonymous operation which does not require a [storefront authToken](/developer/api-reference/rest/b2b/storefront/authentication) for a particular customer. Equivalent Storefront GraphQL API Mutation: `companyCreate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). > The `registerCompany` mutation in the BigCommerce Storefront GraphQL API also allows you to create a new Company account as a storefront customer. See [Company Account Registration](/developer/docs/b2b-edition/storefront/graphql-storefront-api/overview) to learn more. If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the `extraFields` array of the request body. For more information on extra fields, see [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) in the Help Center. ### Pending Company Accounts If your store uses [Independent Companies behavior](https://support.bigcommerce.com/s/article/Companies-and-Customer-Groups), buyers with a pending Company account cannot log in to the B2C version of the Buyer Portal or view previous orders until you have approved or rejected their Company application. Depending on your Company management setting configurations, they may also be restricted from viewing products and placing orders. When you approve an application, the buyer can log in to the B2B version of the Buyer Portal and view previous orders. Rejecting an application restores their access to the B2C version of the Buyer Portal. For stores using legacy Dependent Companies behavior, buyers with a pending Company account can still log in to the Buyer Portal and view their orders before you have processed their application. See [Companies (Help Center)](https://support.bigcommerce.com/s/article/B2B-Edition-User-Guide-Company-and-Customer-Functions) to learn more about the settings and buyer experience for pending Company accounts.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Request

This endpoint expects an object.
companyNamestringRequired
The name of the Company associated with the order's buyer.
companyPhoneNumberstringRequired
The primary phone number for the Company account.
companyFirstNamestringRequired
The first name of the Company account administrator.
companyLastNamestringRequired
The last name of the Company account administrator.
customerEmailstringRequiredformat: "email"

The email address of the BigCommerce customer account for the Company account administrator. Must match the email on the customer account identified by customerId.

customerIdstringRequired
The ID of the BigCommerce customer account for the Company account administrator.
storeHashstringRequired
The unique store hash for the BigCommerce store.
companyEmailstringRequiredformat: "email"
The primary email address of the company.
addressLine1stringRequired
The first line of the address
addressLine2stringRequired
The second line of the address
citystringRequired
City of the address.
zipCodestringRequired
Zip or Postal Code of the address.
statestringRequired
State of the address.
countrystringRequired
Country of the address.
extraFieldslist of objectsOptional

Response

OK
codedoubleDefaults to 200
messagestring
dataobject
Response data.

Errors

400
Bad Request Error